Index · Directives · Python · libudev · gudev systemd 220

## Name

networkctl — Query the status of network links

## Synopsis

`networkctl` [OPTIONS...] COMMAND [LINK...]

## Description

networkctl may be used to introspect the state of the network links as seen by systemd-networkd. Please refer to systemd-networkd.service(8) for an introduction to the the basic concepts, functionality, and configuration syntax.

## Options

The following options are understood:

`-a` `--all`

  Show all links with status.

`-h`, `--help`

  Print a short help text and exit.

`--version`

  Print a short version string and exit.

`--no-pager`

  Do not pipe output into a pager.

## Commands

The following commands are understood:

list

  Show a list of existing links and their status. Produces output similar to

      IDX LINK         TYPE     OPERATIONAL SETUP
        1 lo           loopback carrier     unmanaged
        2 eth0         ether    routable    configured
        3 virbr0       ether    no-carrier  unmanaged
        4 virbr0-nic   ether    off         unmanaged

      4 links listed.

status [`LINK...`]

  Show information about the specified links: type, state, kernel module driver, hardware and IP address, configured DNS servers, etc.

  When no links are specified, routable links are shown. See also option `--all`.

  Produces output similar to

      ●      State: routable
           Address: 10.193.76.5 on eth0
                    192.168.122.1 on virbr0
                    169.254.190.105 on eth0
                    fe80::5054:aa:bbbb:cccc on eth0
           Gateway: 10.193.11.1 (CISCO SYSTEMS, INC.) on eth0
               DNS: 8.8.8.8
                    8.8.4.4

lldp

  Show LLDP (Link Layer Discovery Protocol) status.

## Exit status

On success, 0 is returned, a non-zero failure code otherwise.

## See Also

systemd-networkd.service(8), systemd.network(5), systemd.netdev(5)